ALLEGRO_DISPLAY_MODE(3)

NAME

ALLEGRO_DISPLAY_MODE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_DISPLAY_MODE

DESCRIPTION

Used for fullscreen mode queries. Contains information about a supported fullscreen modes.

    typedef struct ALLEGRO_DISPLAY_MODE {
       int width;          // Screen width
       int height;         // Screen height
       int format;         // The pixel format of the mode
       int refresh_rate;   // The refresh rate of the mode
    } ALLEGRO_DISPLAY_MODE;

The refresh_rate may be zero if unknown.

For an explanation of what format means, see ALLEGRO_PIXEL_FORMAT(3).

SEE ALSO

al_get_display_mode(3)